<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class BeforeTestReading extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'line_id',
        'motor_testing_master_id',
        'machine_id',
        'serial_number',
        'before_fr_res_ry',
        'before_fr_res_yb',
        'before_fr_res_br',
        'before_fr_ir',
        'tested_by',
        'updated_by',
        'created_at',
        'updated_at',
        'scanned_at',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function line(): BelongsTo
    {
        return $this->belongsTo(Line::class);
    }

    public function machine(): BelongsTo
    {
        return $this->belongsTo(Machine::class);
    }

    public function item(): BelongsTo
    {
        return $this->belongsTo(Item::class);
    }

    public function motorTestingMaster()
    {
        return $this->belongsTo(MotorTestingMaster::class);
    }
}
